Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.management.runtime
Interface AdapterSummaryMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.WebLogicMBean

    public interface AdapterSummaryMBean

extends weblogic.management.WebLogicMBean

Provides summary statistics for AdapterRuntimeMBeans in a cluster. This MBean should be considered the 'public' interface for adapter instance statistics (AdapterRuntimeMBean might be used if per-server stats are required).

Method Summary
`void` | `forceRefresh()` Force an immediate refresh of the cached statistics on this MBean instance.
`String` | `getAdapterID()` ID of the Adapter instance this MBean represents as a string (uses appName and the qualified name of the ApplicationView).
`ConnectionPoolStatistics` | `getConnectionPoolStatisticsForFactory(String factoryName)` Get a ConnectionPoolStatistics instance representing summary connection pool statistics for the given connection factory.
`Integer` | `getEventCount(String eventType)` Number of events delivered of the given type.
`Integer` | `getEventErrorCount(String eventType)` Number of event delivery errors encountered for the given type (or all types if eventType is null).
`Long` | `getLastEventDeliveryTime()` The system time (in milliseconds) at which the most recent event was delivered (or –1 if none have been delivered).
`Long` | `getLastServiceInvocationTime()` The system time (in milliseconds) at which the most recent service invocation occurred (or –1 if no services have been invoked).
`long` | `getRefreshWindow()` Gets the refresh window setting.
`Long` | `getServiceAverageElapsedTime(String serviceName)` Average elapsed time (in milliseconds) for service invocations of the given service (or all services if serviceName=null).
`Integer` | `getServiceCount(String serviceName)` Number of service invocations for the given service (or all services if serviceName=null).
`Integer` | `getServiceErrorCount(String serviceName)` Number of service invocation errors encountered for the given service (or all services if serviceName=null)
`Integer` | `getSuspendedAsyncServiceCount(String eventType)` Number of async service requests for the given service (or all services if serviceName=null) that have been ‘suspended’ due to the AppView being suspended.
`Integer` | `getSuspendedEventCount(String eventType)` Number of events of the given type (or all types if eventType=null) that have been ‘suspended’ due to the Adapter instance being suspended.
`void` | `setRefreshWindow(long millis)` Sets the maximum amount of time (in millis) previously collected summary information can be used before a fresh copy of the information must be obtained.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setRefreshWindow

    void setRefreshWindow(long millis)

  Sets the maximum amount of time (in millis) previously collected summary information can be used before a fresh copy of the information must be obtained. This value defaults to 3000 milliseconds.

### getRefreshWindow

    long getRefreshWindow()

  Gets the refresh window setting.

  See Also:
    `setRefreshWindow(long)`

### forceRefresh

    void forceRefresh()
                      throws javax.management.MBeanException

  Force an immediate refresh of the cached statistics on this MBean instance.

  Throws:
    `javax.management.MBeanException`

### getAdapterID

    String getAdapterID()

  ID of the Adapter instance this MBean represents as a string (uses appName and the qualified name of the ApplicationView).

### getEventCount

    Integer getEventCount(String eventType)
                          throws javax.management.MBeanException

  Number of events delivered of the given type. Pass null to get total events delivered of all types.

  Throws:
    `javax.management.MBeanException`

### getSuspendedEventCount

    Integer getSuspendedEventCount(String eventType)
                                   throws javax.management.MBeanException

  Number of events of the given type (or all types if eventType=null) that have been ‘suspended’ due to the Adapter instance being suspended.

  Throws:
    `javax.management.MBeanException`

### getEventErrorCount

    Integer getEventErrorCount(String eventType)
                               throws javax.management.MBeanException

  Number of event delivery errors encountered for the given type (or all types if eventType is null).

  Throws:
    `javax.management.MBeanException`

### getLastEventDeliveryTime

    Long getLastEventDeliveryTime()
                                  throws javax.management.MBeanException

  The system time (in milliseconds) at which the most recent event was delivered (or –1 if none have been delivered).

  Throws:
    `javax.management.MBeanException`

### getServiceCount

    Integer getServiceCount(String serviceName)
                            throws javax.management.MBeanException

  Number of service invocations for the given service (or all services if serviceName=null).

  Throws:
    `javax.management.MBeanException`

### getServiceErrorCount

    Integer getServiceErrorCount(String serviceName)
                                 throws javax.management.MBeanException

  Number of service invocation errors encountered for the given service (or all services if serviceName=null)

  Throws:
    `javax.management.MBeanException`

### getServiceAverageElapsedTime

    Long getServiceAverageElapsedTime(String serviceName)
                                      throws javax.management.MBeanException

  Average elapsed time (in milliseconds) for service invocations of the given service (or all services if serviceName=null). This number averages in both sync and async service elapsed times. For async services, only the time spent communicating with the adapter is included. Does not include the amount of time the async request spends waiting on the async request queue.

  Throws:
    `javax.management.MBeanException`

### getSuspendedAsyncServiceCount

    Integer getSuspendedAsyncServiceCount(String eventType)
                                          throws javax.management.MBeanException

  Number of async service requests for the given service (or all services if serviceName=null) that have been ‘suspended’ due to the AppView being suspended.

  Throws:
    `javax.management.MBeanException`

### getLastServiceInvocationTime

    Long getLastServiceInvocationTime()
                                      throws javax.management.MBeanException

  The system time (in milliseconds) at which the most recent service invocation occurred (or –1 if no services have been invoked).

  Throws:
    `javax.management.MBeanException`

### getConnectionPoolStatisticsForFactory

    ConnectionPoolStatistics getConnectionPoolStatisticsForFactory(String factoryName)
                                                                   throws javax.management.MBeanException

  Get a ConnectionPoolStatistics instance representing summary connection pool statistics for the given connection factory. Active, and free connection statistics are absolute values, and are therefore averaged across all nodes in the cluster. Matched, rejected, and recycled counts are summed to yield a total across all nodes in the cluster.

  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD